### Method

# EDataServer SourceWebdav update_ssl_trust

since: 3.16

#### Declaration [src]

    void
    e_source_webdav_update_ssl_trust (
      ESourceWebdav* extension,
      const gchar* host,
      GTlsCertificate* cert,
      ETrustPromptResponse response
    )

#### Description [src]

Updates user’s response from a trust prompt, thus it is re-used the next time it’ll be needed. An #E_TRUST_PROMPT_RESPONSE_UNKNOWN is treated as a temporary reject, which means the user will be asked again.

Available since: 3.16

#### Parameters

`host`

  Type: `const gchar*`

  A host name to store the certificate for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cert`

  Type: `GTlsCertificate`

  The invalid certificate of the connection over which `host` is about to be sent.

  The data is owned by the caller of the method.

`response`

  Type: `ETrustPromptResponse`

  User’s response from a trust prompt for `cert`.